import { Request } from 'express';
import { AuthToken, AuthDirective, Rule } from './auth-type';
export declare function auth(req: Request, authDirective: AuthDirective): Promise<AuthToken>;
export declare function isAuthenticated(authToken: AuthToken): boolean;
export declare function hasAbility(authToken: AuthToken, rules: Rule | Rule[]): void;
export declare function getServiceIdTokenInfo(token: string): string;
