"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports._appDomain = exports._localeCode = exports._userLogin = exports._boolean = exports._idString = exports._id = exports.AppDomain = void 0;
const joi_1 = __importDefault(require("joi"));
const locale_1 = require("./locale");
var AppDomain;
(function (AppDomain) {
    AppDomain["MERCHANT"] = "MERCHANT";
    AppDomain["CONSUMER"] = "CONSUMER";
    AppDomain["ADMIN"] = "ADMIN";
    AppDomain["DEVICE"] = "DEVICE";
})(AppDomain = exports.AppDomain || (exports.AppDomain = {}));
exports._id = joi_1.default.number();
exports._idString = joi_1.default.string().trim();
exports._boolean = joi_1.default.boolean();
exports._userLogin = joi_1.default.string().max(250);
exports._localeCode = joi_1.default.string()
    .trim()
    .valid(...Object.values(locale_1.LocaleCode));
exports._appDomain = joi_1.default.string()
    .trim()
    .valid(...Object.values(AppDomain));
//# sourceMappingURL=type.js.map